
export default {
  updateMemberCard(state, { item }) {
    return state.setIn(['componentList', item.index, 'componentData', 'componentExtInfo', 'memberInfo'], item);
  },
  updateMemberCardComponent(state, memberInfo) {
    return state.setIn(['memberCardComponent', 'componentExtInfo', 'memberInfo'], memberInfo);
  },
  updateNewMemberCardComponent(state, memberInfo) {
    return state.setIn(['newMemberCardComponent', 'componentExtInfo', 'memberInfo'], memberInfo);
  },
  // 会员个人中心组件
  updateMemberCardUserCenter(state, memberInfo) {
    return state.setIn(['memberCardUserCenter', 'componentExtInfo', 'memberInfo'], memberInfo);
  },
  updatePlugin(state, { item, isReady }) {
    return state.setIn(['componentList', item.index, 'componentData', 'isReady'], isReady);
  },
  updateModalStatus(state, status) {
    return state.setIn('showLoadingModal', status);
  },
  updateMemberInfo(state, memberInfo) {
    return state.setIn('memberInfo', memberInfo);
  },
  updateTemplateUUID(state, templateUUID) {
    return state.setIn('templateUUID', templateUUID);
  },
  updateComponentService(state, { item }) {
    return state.setIn(['componentList', item.index, 'componentData', 'dynamicServiceList'], item.list);
  },
};
